package seeds

// SeedInstances is a list of instance hostnames used to seed the indexer.
// This list so far is a bunch of instances that have been
// banned/defederated by others so it's important to seed them so that we
// can always get their toots for archiving; they will likely not appear in
// common mentions/public indices.
// update: now includes a bunch of other instances too
var SeedInstances = [...]string{
	"blobturtle.club",
	"busshi.moe",
	"fedi.valkyrie.world",
	"gnosis.systems",
	"iscute.moe",
	"kink.town",
	"kinky.business",
	"kinkyelephant.com",
	"kiwec.net",
	"kiwifarms.cc",
	"kiwifarms.is",
	"kiwifarms.net",
	"knzk.me",
	"koyu.space",
	"krauser.org",
	"kuko.hamburg",
	"kune.gouge.re",
	"kyot.me",
	"kys.moe",
	"lanners.uk",
	"larvata.com",
	"latinos.social",
	"layer8.space",
	"leftlibertarian.club",
	"lesbian.energy",
	"letsalllovela.in",
	"lgbtq.cool",
	"lgbtqia.is",
	"liberdon.com",
	"librem.one",
	"librenet.co.za",
	"ligma.pro",
	"likeable.space",
	"linuxrocks.online",
	"litodon.de",
	"littles.space",
	"liveview.cf",
	"loci.onl",
	"logjam.city",
	"lol5.tun.a4.io",
	"lolis.world",
	"lost-angles.im",
	"luvdon.cc",
	"m.1994.io",
	"m.apertron.com",
	"m.bnolet.me",
	"m.danq.me",
	"m.eula.dev",
	"m.fratm.com",
	"m.kretschmann.social",
	"m.xorkle.com",
	"magikarp.fun",
	"maik.social",
	"majak.de",
	"makito.me",
	"maly.io",
	"marchgenso.me",
	"mares.cafe",
	"mas.korrigan.tech",
	"mas.to",
	"mast.astragroup.info",
	"mastadon.ml",
	"masto.lost-angles.im",
	"masto.misell.cymru",
	"masto.ml",
	"masto.mywebprojects.co.uk",
	"masto.polarisfm.net",
	"masto.powerlot.net",
	"masto.stanisic.nl",
	"mastoc.net",
	"mastodon-network.com",
	"mastodon.aekrylov.me",
	"mastodon.alienlebarge.ch",
	"mastodon.amaseto.com",
	"mastodon.art",
	"mastodon.aventer.biz",
	"mastodon.blue",
	"mastodon.cipherbliss.com",
	"mastodon.coder.town",
	"mastodon.com.pl",
	"mastodon.corecoding.dev",
	"mastodon.cyber-tribal.com",
	"mastodon.dlitz.net",
	"mastodon.echoz.io",
	"mastodon.eric.ovh",
	"mastodon.ericbeckers.nl",
	"mastodon.freifunk-minden.de",
	"mastodon.fricloud.dk",
	"mastodon.funigtor.fr",
	"mastodon.gamedev.place",
	"mastodon.gargantia.fr",
	"mastodon.geofox.org",
	"mastodon.globalrevolution.tv",
	"mastodon.gougere.fr",
	"mastodon.grin.hu",
	"mastodon.h.etbus.ch",
	"mastodon.host",
	"mastodon.hugolecourt.fr",
	"mastodon.ie",
	"mastodon.immae.eu",
	"mastodon.inferiorlattice.com",
	"mastodon.jectrum.de",
	"mastodon.kerenon.com",
	"mastodon.kliu.io",
	"mastodon.kosebamse.com",
	"mastodon.leptonics.com",
	"mastodon.local.lubar.me",
	"mastodon.lubar.me",
	"mastodon.lunorian.is",
	"mastodon.macsnet.cz",
	"mastodon.maescool.be",
	"mastodon.me.uk",
	"mastodon.mynameisivan.ru",
	"mastodon.naoy.fr",
	"mastodon.ocf.berkeley.edu",
	"mastodon.org.ua",
	"mastodon.org.uk",
	"mastodon.otherreality.net",
	"mastodon.owls.io",
	"mastodon.roocita.com",
	"mastodon.rylees.net",
	"mastodon.scarletsisters.xyz",
	"mastodon.schemacs.com",
	"mastodon.scuttle.org",
	"mastodon.sebbo.net",
	"mastodon.sedryk.info",
	"mastodon.social",
	"mastodon.social",
	"mastodon.soses.ca",
	"mastodon.spiderden.net",
	"mastodon.starrevolution.org",
	"mastodon.technology",
	"mastodon.technology",
	"mastodon.toni.im",
	"mastodon.truf-kin.com",
	"mastodon.xhrpb.com",
	"mastodon.zapashcanon.fr",
	"mastofant.de",
	"mcphail.uk",
	"me.frankmeeuwsen.xyz",
	"megadon.net",
	"melalandia.tk",
	"menzel-it.social",
	"meow.social",
	"mgub.yt",
	"mikep.ro",
	"ministry.moonbutt.science",
	"misskey.io",
	"misskey.nl",
	"mmorpg.social",
	"mobile.co",
	"monsterpit.net",
	"moytura.org",
	"mst.thewebzone.net",
	"mst.vsta.org",
	"mstdn.ikebuku.ro",
	"mstdn.io",
	"mstdn.jp",
	"mstdn.maud.io",
	"mstdn.mx",
	"mstdn.novium.pw",
	"mstdn.social",
	"mstdn.tsukiyono.0am.jp",
	"mstdn.waifu.space",
	"mstdn.xxil.cc",
	"mu.zaitcev.nu",
	"mudl.us",
	"music.pawoo.net",
	"myflog.net",
	"mypolis.zapto.org",
	"myprayer.center",
	"neckbeard.xyz",
	"neenster.org",
	"nerdynate.live",
	"networked.space",
	"netzsphaere.xyz",
	"newjack.city",
	"newsbots.eu",
	"niedersachsen.social",
	"ninja.social",
	"nitro.horse",
	"niu.moe",
	"noagenda.social",
	"noagendasocial.com",
	"nojack.easydns.ca",
	"nomoresha.me",
	"nonexiste.net",
	"norden.social",
	"nordenmedia.com",
	"not-develop.gab.com",
	"npf.mlpol.net",
	"nsfw.social",
	"nudie.social",
	"octodon.social",
	"odin.run",
	"ohhi.icu",
	"oneway.masto.host",
	"order.life",
	"oslo.town",
	"our.wtf",
	"oursquad.rocks",
	"outaouais.club",
	"pachyder.me",
	"pars.ee",
	"patch.cx",
	"pawoo.net",
	"penguicon.social",
	"pettingzoo.co",
	"photodon.org",
	"phreedom.tk",
	"pieville.net",
	"pifke.social",
	"pigeon.town",
	"pixfed.com",
	"pl.765racing.com",
	"pl.apelsin.la",
	"pl.knotteye.cc",
	"pl.kotobank.ch",
	"pl.koyu.space",
	"pl.ohno.host",
	"pl.smuglo.li",
	"pl.wowana.me",
	"pla.social",
	"plag.masto.host",
	"plankton.cz",
	"playvicious.social",
	"pleroma.1d4.us",
	"pleroma.ch405.xyz",
	"pleroma.cloud",
	"pleroma.comfy.moe",
	"pleroma.cucked.me",
	"pleroma.fr",
	"pleroma.kiwifarms.net",
	"pleroma.miniwa.moe",
	"pleroma.quaylessed.icu",
	"pleroma.rareome.ga",
	"pleroma.soykaf.com",
	"pleroma.travnewmatic.com",
	"pleroma.tuxcrafting.cf",
	"plural.cafe",
	"pokemon.men",
	"polycule.club",
	"pornfed.social",
	"pouet.jablon.fr",
	"ppl.town",
	"pridelands.io",
	"princess.cat",
	"privacytools.io",
	"producers.masto.host",
	"programmer.technology",
	"programmingsocks.com",
	"protohype.net",
	"prsm.space",
	"psyopshop.com",
	"pumba.space",
	"pyyython.org",
	"qoto.org",
	"quasi.social",
	"queer.farm",
	"queersin.space",
	"quey.org",
	"quitter.pw",
	"rainbowdash.net",
	"rebels.rest",
	"redliberal.com",
	"redroo.ml",
	"redterrorcollective.net",
	"relay-mypolis.zapto.org",
	"remotenode.host",
	"rhubarb.land",
	"rigcz.club",
	"rightmastodon.com",
	"rivals.space",
	"rly.wtf",
	"roar.killtheradio.net",
	"ronin.world",
	"roughseas.xyz",
	"rrfarmbot.appspot.com",
	"rubber.social",
	"rva.party",
	"s.huggingservers.uk",
	"sackheads.social",
	"sadposting.space",
	"sammiesweetie.com",
	"sangha.social",
	"sapphos.be",
	"scouts.devosmium.xyz",
	"sealion.club",
	"secure.kiwi",
	"serious.ferret.business",
	"shigusegubu.club",
	"shinomiya.group",
	"shiro.dog",
	"shitasstits.life",
	"shitposter.club",
	"shpposter.club",
	"simulacron.de",
	"sinblr.com",
	"skippers-bin.com",
	"skoops.social",
	"slum.cloud",
	"smuglo.li",
	"sn.angry.im",
	"snabelen.no",
	"snaggletooth.life",
	"snuskete.net",
	"social.1in9.net",
	"social.adlerweb.info",
	"social.au2pb.net",
	"social.avareborn.de",
	"social.azkware.net",
	"social.b252.gq",
	"social.backbord.net",
	"social.bau-ha.us",
	"social.beepboop.ga",
	"social.cereza.de",
	"social.cloudsumu.com",
	"social.cutienaut.club",
	"social.elqhost.net",
	"social.end-the-stigma.com",
	"social.fab-l3.org",
	"social.fedi.farm",
	"social.fff-du.de",
	"social.firc.de",
	"social.florianjensen.com",
	"social.foxfam.club",
	"social.gattai.net",
	"social.gnu.one",
	"social.guizzyordi.info",
	"social.headsca.la",
	"social.heldscal.la",
	"social.heroicwisdom.com",
	"social.hidamari.blue",
	"social.homunyan.com",
	"social.i2p.rocks",
	"social.imirhil.fr",
	"social.ingobernable.net",
	"social.joshuacasey.net",
	"social.lansky.name",
	"social.librem.one",
	"social.longden.me",
	"social.lucci.xyz",
	"social.luschmar.ch",
	"social.lyte.dev",
	"social.mark.atwood.name",
	"social.minkenstein.de",
	"social.mjb.im",
	"social.mochi.academy",
	"social.moseskaranja.com",
	"social.mylinux.cz",
	"social.net.ua",
	"social.netdc.ca",
	"social.niicow974.fr",
	"social.nofftopia.com",
	"social.offline.network",
	"social.omniatv.com",
	"social.panthermodern.net",
	"social.privacytools.io",
	"social.proyectolanuevatierra.com",
	"social.putz.space",
	"social.quodverum.com",
	"social.radio.af",
	"social.raptorengineering.io",
	"social.ryankes.eu",
	"social.seattle.wa.us",
	"social.secline.de",
	"social.skankhunt42.pw",
	"social.sunshinegardens.org",
	"social.taker.fr",
	"social.targaryen.house",
	"social.tchncs.de",
	"social.thisisjoes.site",
	"social.troll.academy",
	"social.wiuwiu.de",
	"sociala.me",
	"socl.win",
	"socnet.supes.com",
	"soderstrom.social",
	"soteria.mastodon.host",
	"souk.getloci.com",
	"southflorida.social",
	"speakfree.world",
	"spinster.dev",
	"spinster.xyz",
	"splat.soy",
	"sprocket.group",
	"starship.coffee",
	"stereophonic.space",
	"sunbeam.city",
	"sunshinegardens.org",
	"sweet.sugarcube.pw",
	"swingset.social",
	"switter.at",
	"syrup.zone",
	"take.iteasy.club",
	"takeoverthe.world",
	"tamiltoot.online",
	"tank.im",
	"taosforum.com",
	"tardis.world",
	"tassaron.com",
	"techflake.ch",
	"the.hedgehoghunter.club",
	"the.scream.zone",
	"thefreestate.xyz",
	"thelballwiki.gq",
	"thetower.xyz",
	"thewired.xyz",
	"thicc.horse",
	"toot.brussels",
	"toot.cat",
	"toot.chemnitz.social",
	"toot.devfs.xyz",
	"toot.flairy.de",
	"toot.forumanalogue.fr",
	"toot.love",
	"toot.my",
	"toot.nx-pod.de",
	"toot.onl",
	"toot.party",
	"toot.site",
	"toot.temsa.me",
	"toot.wales",
	"toot.world",
	"toot.worldrovine.com",
	"toot.ws",
	"tooting.ch",
	"toots.slothy.win",
	"toucans.social",
	"travel-friends.chat",
	"tri.cash",
	"triangletoot.party",
	"tron.buzz",
	"twimblr.xyz",
	"twitter.1d4.us",
	"uelfte.club",
	"underscore.world",
	"unsafe.space",
	"unsocial.pztrn.name",
	"va11hal.la",
	"veenus.art",
	"veenus.art",
	"voice.masto.host",
	"voluntaryism.club",
	"vulpine.club",
	"waifu.social",
	"warc.space",
	"weeaboo.space",
	"weedis.life",
	"weirder.earth",
	"welovela.in",
	"wetfish.space",
	"whitespashe.uk",
	"witches.live",
	"witches.town",
	"wogan.im",
	"woofer.alfter.us",
	"wrestlr.social",
	"wrongthink.net",
	"www.misanthropebazaar.com",
	"wxw.moe",
	"x0r.stream",
	"xa0.uk",
	"xn--6r8h.tk",
	"xoldie.com",
	"yang.social",
	"yarr.io",
	"yeehaw.town",
	"yeet.social",
	"yiff.rocks",
	"yorishiro.space",
	"youkai.town",
	"zerohack.xyz",
	"zion-techs.com",
	"zomglol.wtf",
}

// removed on 2020-03-27 for nxdomain:
var DeadSeedInstances = [...]string{
	"kneegrows.top",
	"kowai.youkai.town",
	"lets.saynoto.lgbt",
	"libertarianism.club",
	"loli.estate",
	"luvdon.ddns.net",
	"manx.social",
	"mastodon.circlelinego.com",
	"mastodon.codeplumbers.eu",
	"mastodon.fail",
	"mastodon.inhji.de",
	"mastodon.jeder.pl",
	"mastodon.loliandstuff.moe",
	"mastodon.nobodysstuff.de",
	"mastodon.openpsychology.net",
	"mastodon.redflag.social",
	"mastodon.syntik.fr",
	"mastodon.toniozz75.fr",
	"mastodon.yolovision-inc.com",
	"mastodon.zwei.net",
	"masttest.zwei.net",
	"mst.mpdevel.com",
	"mstdn.alternanet.fr",
	"mstdn.openalgeria.org",
	"multicast.social",
	"not.phrack.fyi",
	"nyaa.social",
	"opensim.fun",
	"pl.kys.moe",
	"pleroma.teromene.fr",
	"pleroma.yorha.club",
	"pltest.feminism.lgbt",
	"porntoot.com",
	"post.mashek.net",
	"preteengirls.biz",
	"project.social",
	"r3bl.social",
	"raki.social",
	"rapefeminists.network",
	"relay.selfhosting.rocks",
	"s.b252.gq",
	"simstodon.com",
	"snel.social",
	"soc.psychedelic.cat",
	"social.allthefallen.ninja",
	"social.bam.yt",
	"social.culturewar.us",
	"social.digimortal.org",
	"social.enyutech.io",
	"social.hodakov.me",
	"social.louisoft01.moe",
	"social.mhtube.de",
	"social.nobodyhasthe.biz",
	"social.noscraft.cf",
	"social.puri.sm",
	"social.rosnovsky.us",
	"social.super-niche.club",
	"social.tomica.me",
	"social.zwei.net",
	"socialnetwork.ninja",
	"spacetime.social",
	"switter.co",
	"thechad.zone",
	"toot.kiez.xyz",
	"triggerhub.ru",
	"vampire.estate",
	"wagesofsinisdeath.com",
	"waifuappreciation.club",
}
